# v1

{% hint style="info" %}
We recommend using [version 2](/rest-api/ip-blocks.md) of this endpoint.
{% endhint %}

## Get IP Blocks

> Get IP blocks for Appetize streaming servers. These are the IPs from which your running apps will be making network calls. Use the IP blocks to whitelist access to your backend if it is not public.

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://appetize.io"}],"security":[],"paths":{"/ip-blocks":{"get":{"summary":"Get IP Blocks","tags":["IP Blocks"],"description":"Get IP blocks for Appetize streaming servers. These are the IPs from which your running apps will be making network calls. Use the IP blocks to whitelist access to your backend if it is not public.","parameters":[{"in":"path","name":"format","schema":{"type":"string","enum":["txt","json"],"default":"json"},"description":"The format of the response. Default is JSON. If text is specified, the response will be a newline-separated list of IP addresses."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"ipv4":{"type":"array","items":{"type":"string","description":"A list of IPv4 addresses."}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appetize.io/rest-api/ip-blocks/v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
